version: "3.0"

services:
    test_node:
        image: test_node
        restart: on-failure:2
        container_name: test_node
        build:
            context: ./
            dockerfile: Dockerfile
        networks: 
            - node_test_net

    nginx:
        image: nginx
        restart: on-failure:2
        networks:
            - node_test_net
        container_name: nginx_proxy
        depends_on:
            - test_node
        ports:
            - 80:80
            - 443:443
        volumes:
            - ./reverse_proxy.conf:/etc/nginx/conf.d/default.conf
            - ./certs:/etc/ssl/

networks:
    node_test_net:
      driver: bridge      

